Skip To Content

Microsoft SQL Server database requirements for ArcGIS 10.7 and ArcGIS Pro 2.3

Visit Esri Support for general support information on Esri's Supported Environment Policy.

Supported database versions

Enterprise/Standard/Developer* editions

Microsoft SQL Server 2017 (64-bit)

Microsoft SQL Server 2017 for Linux (64-bit)

Microsoft SQL Server 2016 (64-bit)

Microsoft SQL Server 2014 SP3 (64-bit)

Express editions

Microsoft SQL Server 2017 (64-bit)

Microsoft SQL Server 2016 (64-bit)

Microsoft SQL Server 2014 SP3 (64-bit)

Note:

*Developer edition is only supported in non-production environments.

Supported operating systems

If your database management system is installed on a server where ArcGIS products are installed, the server operating system must meet the ArcGIS product system requirements as well as the operating system requirements for your SQL Server version.

If your database is not installed on the same server as an ArcGIS product, see the Microsoft documentation for operating system requirements for your SQL Server version.

Database requirements and limitations

Only database authenticated connections are supported when you connect from ArcGIS to SQL Server 2017 for Linux.

Software required to connect to SQL Server

Any client machines that connect directly to SQL Server must have a SQL Server client installed. SQL Server clients for Microsoft Windows and Linux are distributed by Microsoft. SQL Server clients for Windows are also available on My Esri. You must install a client that is the same version or a newer version than the SQL Server database to which you want to connect. If you upgrade SQL Server, upgrade the SQL Server clients at the same time. When a version of SQL Server is no longer supported by ArcGIS, the corresponding SQL Server client library will no longer be supported either.

Supported SQL Server clients are as follows:

  • SQL Server 2017
    • Microsoft ODBC Driver 17 for SQL Server
  • SQL Server 2016
    • Microsoft ODBC Driver 17 for SQL Server
    • Microsoft ODBC Driver 13 or 13.1 for SQL Server
  • SQL Server 2014 SP3
    • Microsoft ODBC Driver 17 for SQL Server
    • Microsoft ODBC Driver 13 or 13.1 for SQL Server
    • Microsoft ODBC Driver 11 for SQL Server

Note:

When connecting from ArcGIS Server on Ubuntu to a supported version of SQL Server, you must install the Microsoft unixodbc-dev package on all ArcGIS Server machines in addition to the ODBC driver.